{
  "name": "algorithm-showcase-frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc && vite build",
    "preview": "vite preview",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "@monaco-editor/loader": "^1.7.0",
    "@monaco-editor/react": "^4.7.0",
    "axios": "^1.7.3",
    "echarts": "^5.5.1",
    "element-plus": "^2.7.8",
    "monaco-editor": "^0.55.1",
    "pinia": "^2.1.7",
    "three": "^0.166.1",
    "vue": "^3.4.29",
    "vue-router": "^4.3.3"
  },
  "devDependencies": {
    "@types/three": "^0.166.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "typescript": "^5.2.2",
    "vite": "^5.3.1",
    "vue-tsc": "^2.0.21"
  }
}
